## pritunl-0.10.12.tar.gz

=== requirements.txt ===
flask>=0.6
cherrypy>=3.2.2
pycrypto>=2.4.1

=== debian/changelog ===
pritunl (0.10.12-0ubuntu1) trusty; urgency=low

  * Pre-pool dh params for instant server creation
  * Improve client configurations

 -- Zachary Huff <zach.huff.386@gmail.com>  Mon, 04 Aug 2014 13:31:04 -0400

pritunl (0.10.11-0ubuntu1) trusty; urgency=low

  * Improve email key links
  * Add additional non-enterprise features
  * Fix issues with authentication script errors
  * Add rotating log files
  * Pre-pool certs for instant org and user creation
  * Queue cache updates for faster org and server changes
  * Improve interface usability
  * Add bulk add users
  * Improve search performance

 -- Zachary Huff <zach.huff.386@gmail.com>  Tue, 29 Jul 2014 01:22:12 -0400

pritunl (0.10.10-0ubuntu1) trusty; urgency=low

  * Add user setting to temporarily disable a user
  * Add email to user
  * Improve caching
  * Changes to interface design
  * Fix issue with bind address
  * Cache OTP codes for client IP addresses to allow reconnecting
  * Add search domain to server settings
  * Email user key links with Postmark integration

 -- Zachary Huff <zach.huff.386@gmail.com>  Tue, 01 Jul 2014 15:03:02 -0400

pritunl (0.10.9-0ubuntu1) trusty; urgency=low

  * Add static IP addresses for vpn clients
  * Add update notifications
  * Add additional user information
  * Change API authentication system with token and secret
  * Previous API authentication method has been removed

 -- Zachary Huff <zach.huff.386@gmail.com>  Wed, 23 Apr 2014 05:56:35 -0400

pritunl (0.10.8-0ubuntu1) trusty; urgency=low

  * Fix openvpn authentication issue
  * Disable download key when no servers are attached to a user

 -- Zachary Huff <zach.huff.386@gmail.com>  Sun, 23 Mar 2014 13:45:58 -0400

pritunl (0.10.7-0ubuntu1) trusty; urgency=low

  * Changes to api
  * Improve server caching
  * Add server bandwidth graphs
  * Cache static file data to reduce disk io usage
  * Add handler to delete temporary key links
  * Read conf options from environment variables

 -- Zachary Huff <zach.huff.386@gmail.com>  Fri, 28 Feb 2014 05:30:34 -0400

pritunl (0.10.6-0ubuntu1) trusty; urgency=low

  * Changes to api
  * Add rate limiting to auth attempts per ip
  * Move password to db
  * Add username to change password interface
  * Change password hash function
  * Improve ovpn iptables rules
  * Add openvpn user connect and disconnect scripts
  * Improve node server support
  * Add dns servers to server options
  * Add dh param bits to server options
  * Pritunl conf will be automatically upgraded after first launch

 -- Zachary Huff <zach.huff.386@gmail.com>  Wed, 12 Feb 2014 02:05:57 -0400

pritunl (0.10.5-0ubuntu1) trusty; urgency=low

  * Changes to api
  * Add support for multiple local networks on vpn server
  * Cache organizations and users to reduce response times
  * Changes to event system
  * Add support for node servers
  * Organization openssl crl is no longer generated
  * Add pages to user list
  * Add search to user list
  * Add support for node servers
  * Server conf data will be automatically upgraded after first launch
  * Organization data will be automatically upgraded after first launch
  * Log entries will be cleared after first launch for database upgrade

 -- Zachary Huff <zach.huff.386@gmail.com>  Wed, 29 Jan 2014 01:29:32 -0400

pritunl (0.10.4-0ubuntu1) trusty; urgency=low

  * Improve support for mobile devices
  * Add temporary page to view two-step authentication key and conf links
  * Add organization name to two-step authentication label
  * Changes to rest api
  * User conf data will be automatically upgraded after first launch

 -- Zachary Huff <zach.huff.386@gmail.com>  Fri, 10 Jan 2014 12:32:57 -0400

pritunl (0.10.3-0ubuntu1) trusty; urgency=low

  * Add functionality to generate new two-step authentication keys
  * Add support for inline certs
  * Servers will only restart when deleting users that are connected
  * Add export data handler

 -- Zachary Huff <zach.huff.386@gmail.com>  Thu, 14 Nov 2013 23:02:43 -0400

pritunl (0.10.2-0ubuntu1) trusty; urgency=low

  * Add time based two-step otp password verification using google authenticator
  * Add client sent and received data transfer to status tooltip
  * Use openvpn client-to-client when using local network
  * Reduce default dh_param bits length
  * Add conf option get_public_ip
  * User conf data will be automatically upgraded after first launch

 -- Zachary Huff <zach.huff.386@gmail.com>  Mon, 04 Nov 2013 16:34:22 -0400

pritunl (0.10.1-0ubuntu1) trusty; urgency=low

  * Initial beta release

 -- Zachary Huff <zach.huff.386@gmail.com>  Thu, 10 Oct 2013 15:28:32 -0400

=== arch/production/PKGBUILD ===
# Maintainer: Zachary Huff <zach.huff.386@gmail.com>

pkgname=pritunl
pkgver=0.10.12
pkgrel=1
pkgdesc="Pritunl vpn server"
arch=("any")
license=("AGPL3")
url="https://github.com/${pkgname}/${pkgname}"
depends=(
    "python"
    "python2"
    "python2-flask"
    "python2-cherrypy"
    "python2-crypto"
    "net-tools"
    "iproute2"
    "openvpn"
)
makedepends=(
    "python2-distribute"
    "python2-flask"
    "python2-cherrypy"
    "python2-crypto"
)
provides=("${pkgname}")
conflicts=("${pkgname}")
install=${pkgname}.install
source=("${url}/archive/${pkgver}.tar.gz")
sha256sums=("CHANGE_ME")
options=("emptydirs")
backup=(
    "etc/${pkgname}.conf"
    "var/lib/${pkgname}/${pkgname}.db"
    "var/log/${pkgname}.log"
)

build() {
    cd "${srcdir}/${pkgname}-${pkgver}"
    python2 setup.py build
}

package() {
    cd "${srcdir}/${pkgname}-${pkgver}"
    mkdir -p "${pkgdir}/var/lib/${pkgname}"
    python2 setup.py install --root="${pkgdir}" --prefix=/usr --no-upstart
}

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/d/pritunl/pritunl-(.*)\.tar\.gz
